PollManagerMBean
Date: 2014-11-12

org.gcube.informationsystem.cache.consistency.manager.poll

## Interface PollManagerMBean

- All Superinterfaces:
    ConsistencyManagerIF
  All Known Implementing Classes:
    PollManager

      public interface PollManagerMBean
      extends ConsistencyManagerIF

  Cache Consistency Manager MBean. It defines the interface for the `PollManager` component, which acts on polling. More accurately, it polls the IS server, at regular time intervals and refreshes the stale cache.
  Author:
    UoA

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Date` | `getLastRefreshTimestamp()` Get the last cache refresh timestamp
    `long` | `getRefreshTimeInMillis()` Get the refresh time interval in milliseconds (1/1000 second)
    `boolean` | `isRefreshing()` Return true if cache refresh is currently performed; false otherwise
    `void` | `refresh()` Perform an on-demand cache refresh
    `long` | `refreshCycleTime()` Time needed for the last refresh cycle
    `void` | `setRefreshTimeInMillis(long refreshTimeInMillis)` Set the refresh time interval in milliseconds (1/1000 second)

    - ### Methods inherited from interface org.gcube.informationsystem.cache.consistency.manager.ConsistencyManagerIF

      `getEPRs, getEPRs, initialize`

- - ### Method Detail

    - #### getRefreshTimeInMillis

          long getRefreshTimeInMillis()

      Get the refresh time interval in milliseconds (1/1000 second)
      Returns:
        the refresh time interval in milliseconds (1/1000 second)

    - #### setRefreshTimeInMillis

          void setRefreshTimeInMillis(long refreshTimeInMillis)

      Set the refresh time interval in milliseconds (1/1000 second)
      Parameters:
        `refreshTimeInMillis` - the refresh time interval in milliseconds (1/1000 second)

    - #### refresh

          void refresh()

      Perform an on-demand cache refresh

    - #### getLastRefreshTimestamp

          java.util.Date getLastRefreshTimestamp()

      Get the last cache refresh timestamp
      Returns:
        the last cache refresh timestamp

    - #### refreshCycleTime

          long refreshCycleTime()

      Time needed for the last refresh cycle
      Returns:
        the time needed for the last refresh cycle

    - #### isRefreshing

          boolean isRefreshing()

      Return true if cache refresh is currently performed; false otherwise
      Returns:
        true if cache refresh is currently performed; false otherwise